Package org.apache.nutch.scoring.webgraph

# Class Node

java.lang.Object
org.apache.nutch.scoring.webgraph.Node

All Implemented Interfaces:
  `Writable`

public class Node extends Object implements Writable
A class which holds the number of inlinks and outlinks for a given url along with an inlink score from a link analysis program and any metadata. The Node is the core unit of the NodeDb in the WebGraph.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Node()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `float`
  `getInlinkScore()`
  `Metadata`
  `getMetadata()`
  `int`
  `getNumInlinks()`
  `int`
  `getNumOutlinks()`
  `float`
  `getOutlinkScore()`
  `void`
  `readFields(DataInput in)`
  `void`
  `setInlinkScore(float inlinkScore)`
  `void`
  `setMetadata(Metadata metadata)`
  `void`
  `setNumInlinks(int numInlinks)`
  `void`
  `setNumOutlinks(int numOutlinks)`
  `String`
  `toString()`
  `void`
  `write(DataOutput out)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Node

    public Node()

- ## Method Details

  - ### getNumInlinks

    public int getNumInlinks()

  - ### setNumInlinks

    public void setNumInlinks(int numInlinks)

  - ### getNumOutlinks

    public int getNumOutlinks()

  - ### setNumOutlinks

    public void setNumOutlinks(int numOutlinks)

  - ### getInlinkScore

    public float getInlinkScore()

  - ### setInlinkScore

    public void setInlinkScore(float inlinkScore)

  - ### getOutlinkScore

    public float getOutlinkScore()

  - ### getMetadata

    public Metadata getMetadata()

  - ### setMetadata

    public void setMetadata(Metadata metadata)

  - ### readFields

    public void readFields(DataInput in) throws IOException
    Specified by:
      `readFields` in interface `Writable`
    Throws:
      `IOException`

  - ### write

    public void write(DataOutput out) throws IOException
    Specified by:
      `write` in interface `Writable`
    Throws:
      `IOException`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`